Package: groovy.swing.table

## [Java] Class TableMap

- groovy.swing.table.TableMap

- All Implemented Interfaces and Traits:
    TableModelListener

      public class TableMap
      extends AbstractTableModel
      implements TableModelListener

  In a chain of data manipulators some behaviour is common. TableMap provides most of this behaviour and can be subclassed by filters that only need to override a handful of specific methods. TableMap implements TableModel by routing all requests to its model, and TableModelListener by routing all events to its listeners. Inserting a TableMap which has not been subclassed into a chain of table filters should have no effect.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected TableModel` | `model` | The wrapped table model.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Class` | `getColumnClass(int aColumn)` Returns the delegate column class for the supplied index.
    `` | `public int` | `getColumnCount()` Returns the current column count from the wrapped model.
    `` | `public String` | `getColumnName(int aColumn)` Returns the delegate column name for the supplied index.
    `` | `public TableModel` | `getModel()` Returns the wrapped table model.
    `` | `public int` | `getRowCount()` Returns the current row count from the wrapped model.
    `` | `public Object` | `getValueAt(int aRow, int aColumn)` Returns the value from the wrapped model at the supplied coordinates.
    `` | `public boolean` | `isCellEditable(int row, int column)` Indicates whether the delegate model allows editing for the supplied cell.
    `` | `public void` | `setModel(TableModel model)` Replaces the wrapped table model and starts listening for its change events.
    `` | `public void` | `setValueAt(Object aValue, int aRow, int aColumn)` Writes a value through to the wrapped model.
    `` | `public void` | `tableChanged(TableModelEvent e)` Forwards model change notifications to this table model's listeners.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractTableModel` | `addTableModelListener, equals, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getClass, getColumnClass, getColumnCount, getColumnName, getListeners, getRowCount, getTableModelListeners, getValueAt, hashCode, isCellEditable, notify, notifyAll, removeTableModelListener, setValueAt, toString, wait, wait, wait`

- - ### Field Detail

    - #### protected TableModel model

      The wrapped table model.

  - ### Method Detail

    - #### public Class getColumnClass(int aColumn)

      Returns the delegate column class for the supplied index.

      Parameters:
        `aColumn` - the source column index
      Returns:
        the delegate column type

    - #### public int getColumnCount()

      Returns the current column count from the wrapped model.

      Returns:
        the delegate column count, or `0` when no model is set

    - #### public String getColumnName(int aColumn)

      Returns the delegate column name for the supplied index.

      Parameters:
        `aColumn` - the source column index
      Returns:
        the delegate column name

    - #### public TableModel getModel()

      Returns the wrapped table model.

      Returns:
        the delegate model

    - #### public int getRowCount()

      Returns the current row count from the wrapped model.

      Returns:
        the delegate row count, or `0` when no model is set

    - #### public Object getValueAt(int aRow, int aColumn)

      Returns the value from the wrapped model at the supplied coordinates.

      Parameters:
        `aRow` - the source row index
        `aColumn` - the source column index
      Returns:
        the delegate value

    - #### public boolean isCellEditable(int row, int column)

      Indicates whether the delegate model allows editing for the supplied cell.

      Parameters:
        `row` - the source row index
        `column` - the source column index
      Returns:
        `true` when the delegate cell is editable

    - #### public void setModel(TableModel model)

      Replaces the wrapped table model and starts listening for its change events.

      Parameters:
        `model` - the delegate model

    - #### public void setValueAt(Object aValue, int aRow, int aColumn)

      Writes a value through to the wrapped model.

      Parameters:
        `aValue` - the new cell value
        `aRow` - the source row index
        `aColumn` - the source column index

    - #### public void tableChanged(TableModelEvent e)

      Forwards model change notifications to this table model's listeners.

      Parameters:
        `e` - the model change event